Name:           nde-plymouth-themes 
Version:        0.0.1
Release:        1%{?dist}
Summary:        NDE Boot Animation and Logger
Group: 			System Environment/Base

License:        GPLv2+
URL:            https://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch

Requires:       plymouth
Requires:       plymouth-plugin-script
Requires(post): plymouth-scripts

%description
This package contains the "newstart" boot splash theme for
Plymouth. It features the shadowy hull of a fedora logo cgdl up andfinally burst into full form.


%prep
%setup -q


%build


%install
/bin/rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes
cp -rf  $RPM_BUILD_DIR/%{name}-%{version}/*  $RPM_BUILD_ROOT%{_datadir}/plymouth/themes


%post 
export LIB=%{_lib}
if [ $1 -eq 1 ]; then
    %{_sbindir}/plymouth-set-default-theme newstart
else
    if [ "$(%{_sbindir}/plymouth-set-default-theme)" == "newstart" ]; then
        %{_sbindir}/plymouth-set-default-theme newstart
        %{_libexecdir}/plymouth/plymouth-update-initrd
    fi
fi

%postun 
export LIB=%{_lib}
if [ $1 -eq 0 ]; then
    if [ "$(%{_sbindir}/plymouth-set-default-theme)" == "newstart" ]; then
        %{_sbindir}/plymouth-set-default-theme --reset
        %{_libexecdir}/plymouth/plymouth-update-initrd
    fi
fi


%files 
%defattr(-, root, root)
%dir %{_datadir}/plymouth/themes/newstart
%{_datadir}/plymouth/themes/newstart/images/*.png
%{_datadir}/plymouth/themes/newstart/newstart.plymouth
%{_datadir}/plymouth/themes/newstart/newstart.script



%changelog
* Fri May 29 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-1
- 构建新的开机动画包
